<template>
  <div class="header-bg">
    <div class="title">{{ title }}</div>
    <div class="times">
      <div class="time">{{ now_time }}</div>
      <div class="day">{{ now_day }}</div>
    </div>
  </div>
</template>

<script>
import moment from "moment";
moment.locale("zh-cn");
export default {
  name: "self-header",
  data() {
    return {
      now_time: "",
      now_day: "",
      //   2023年9月25日星期一
      timer: null,
    };
  },
  methods: {
    updatetime() {
      var date = new Date();
      this.now_time = moment(date).format("HH:mm:ss");
      this.now_day = moment(date).format('YY年MM月DD日dddd');
    //   console.log('updatetime')
    //   this.now_day = moment(date).format("llll");
    },
  },
  mounted() {
    this.timer = setInterval(this.updatetime, 1000);
  },
  destroyed() {
    if (this.timer) {
      clearInterval(this.timer);
    }
  },
  props: {
    title: {
      type: String,
      default() {
        return "标题";
      },
    },
  },
};
</script>
<style lang="scss" scoped>
.header-bg {
  background-image: url("../assets/screen/header@2x.png");
  width: 100%;
  height: 120px;
  background-size: 100% 100%;
  position: relative;
  z-index: 2;
  .times {
    position: absolute;
    left: 54px;
    display: flex;
    top: 12px;
    .time {
      width: 79px;
      height: 29px;
      font-size: 1.73rem;
      font-family: PingFangSC-Semibold, PingFang SC;
      font-weight: 600;
      color: #0b1e36;
      margin-right: 1.5rem;
    }
    .day {
      height: 18px;
      font-size: 1.07rem;
      font-family: PingFangSC-Semibold, PingFang SC;
      font-weight: 600;
      margin-top: 0.6rem;
      color: #0b1e36;
    }
  }
  .title {
    font-size: 2.83rem;
    font-family: Arial-Black, Arial;
    font-weight: 900;
    color: #012b5e;
    line-height: 48px;
    background: linear-gradient(180deg, #58bfff 0%, #0e74ff 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: absolute;
    width: 100%;
    text-align: center;
    top: 1rem;
  }
}
</style>